Package org.eclipse.ecf.core.util

## Interface IEventProcessor

All Known Implementing Classes:
  `SharedObjectMsgEventProcessor`, `TwoPhaseCommitEventProcessor`

    public interface IEventProcessor

Event processor for processing events in a sequence. If the implementer of this interface intends to prevent further processing for the given event, then it should return true to prevent further processing. It should return false to allow further processing of the given event to continue (e.g. in a chain of event processors)

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `processEvent​(Event event)` Process given Event

### Method Detail

#### processEvent

    boolean processEvent​(Event event)

Process given Event

Parameters:
  `event` - the Event to process
Returns:
  true if the event has been successfully processed and no further processing should occur. False if the event should receive further processing by another event processor (e.g. in a chain)